Read Raast Merchant
curl --request GET \
--url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/raast-merchants/{raast-merchant-id} \
--header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'import requests
url = "https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/raast-merchants/{raast-merchant-id}"
headers = {"X-SFPY-AGGREGATOR-SECRET-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-SFPY-AGGREGATOR-SECRET-KEY': '<api-key>'}};
fetch('https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/raast-merchants/{raast-merchant-id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_version": "v1",
"data": {
"id": "32",
"token": "mer_2cab1524-805d-4a09-8e51-924ddf3f43ea",
"partner_id": "partner_ed4f0480-36c8-4a5a-8cd4-381bc4d83f2c",
"raast_record_id": "483177",
"status": "Active",
"uid_type": "NTN",
"uid_value": "33225247896001",
"name": "Raast-Saphir-Merch",
"document_type": "NTN",
"document_number": "33225247896001",
"address_details": {
"country": "PK",
"city": "Karachi",
"state_province_region": "Sindh",
"address_line": "h193c1 street"
},
"contact_details": {
"mobile_number": "+9233330226445",
"email": "sapphire.bus@gmail.com"
},
"additional_details": {
"dba": "The best business 101",
"mcc": "9032",
"lat": "",
"long": ""
},
"additional_details_private": {},
"created_at": "2025-09-12T07:06:06Z",
"updated_at": "2025-09-12T10:46:06Z"
}
}{
"api_version": "v1",
"error": {
"code": "error.unauthorized_access",
"message": "partner access key is required in request header"
}
}Raast Merchants
Read Raast Merchant
Explore a Raast merchant in detail.
GET
/
v1
/
aggregators
/
{raast-aggregator-id}
/
raast-merchants
/
{raast-merchant-id}
Read Raast Merchant
Authorizations
Path Parameters
The unique identifier for the aggregator
Example:
"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"
The unique identifier for the Raast merchant
Example:
"mer_2cab1524-805d-4a09-8e51-924ddf3f43ea"
Was this page helpful?
⌘I